de.esprit.netsuite.netdata.transfer

## Class JobConstraint

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.transfer.JobConstraint

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class JobConstraint
      extends TransferableObject

  This class encapsulates the various constraints that can be specified for a `FileTransferJob`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobConstraint(TransferDirection direction, FileDataType dataType, TransferJobOption... options)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDataType` | `getFileDataType()`
    `TransferDirection` | `getTransferDirection()`
    `boolean` | `isAscii()`
    `boolean` | `isCreateTargetDir()`
    `boolean` | `isKeepZippedOnServer()`
    `boolean` | `isSourceFileRequired()` Tells whether the file to be up/downloaded must actually exist.
    `boolean` | `isTransferZipped()`
    `boolean` | `isUpload()`
    `void` | `setCreateTargetDir(boolean isCreateTargetDir)`
    `void` | `setFileDataType(FileDataType dataType)`
    `void` | `setKeepZippedOnServer(boolean isKeepZippedOnServer)`
    `void` | `setSourceFileRequired(boolean isSourceFileRequired)`
    `void` | `setTransferDirection(TransferDirection trDirection)`
    `void` | `setTransferZipped(boolean isTransferZipped)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobConstraint

          public JobConstraint(TransferDirection direction,
                       FileDataType dataType,
                       TransferJobOption... options)

  - ### Method Detail

    - #### isUpload

          public boolean isUpload()

    - #### isAscii

          public boolean isAscii()

    - #### setTransferDirection

          public void setTransferDirection(TransferDirection trDirection)

    - #### setFileDataType

          public void setFileDataType(FileDataType dataType)

    - #### getTransferDirection

          public TransferDirection getTransferDirection()

    - #### getFileDataType

          public FileDataType getFileDataType()

    - #### isTransferZipped

          public boolean isTransferZipped()

    - #### isKeepZippedOnServer

          public boolean isKeepZippedOnServer()

    - #### setKeepZippedOnServer

          public void setKeepZippedOnServer(boolean isKeepZippedOnServer)

    - #### setTransferZipped

          public void setTransferZipped(boolean isTransferZipped)

    - #### isSourceFileRequired

          public boolean isSourceFileRequired()

      Tells whether the file to be up/downloaded must actually exist. By default non existing files are just skipped silently.

    - #### setSourceFileRequired

          public void setSourceFileRequired(boolean isSourceFileRequired)

    - #### isCreateTargetDir

          public boolean isCreateTargetDir()

    - #### setCreateTargetDir

          public void setCreateTargetDir(boolean isCreateTargetDir)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.